petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexPartitionLabelCreateSF

Create a star forest from a label that assigns ranks to points

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPartitionLabelCreateSF(DM dm, DMLabel label, PetscSF *sf)

### Input Parameters

| dm | - The DM Many br
| label | - DMLabel assinging ranks to remote roots Many br

### Output Parameter

| sf | - The star forest communication context encapsulating the defined mapping Many br

Note: The incoming label is a receiver mapping of remote points to their parent rank. Many br

Many br

### See Also

DMPlexDistribute(), DMPlexCreateOverlap

Level:developer
Location:src/dm/impls/plex/plexpartition.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages